<!-- templates/registration/password_reset_confirm.html -->
{% extends '../orders/base.html' %}

{% block title %}
New password | Project3: Pizza
{% endblock %}

{% block body %}

{% if validlink %}

<h2>Set a new password.</h2>
<div class="col-7">
  <form method="POST">
    {% csrf_token %}
    <div class="form-group row">
      <label for="id_new_password1" class="col-5 col-form-label">New password:</label>
      <div class="col-7">
        <input type="password" class="form-control" name="new_password1" autocomplete="new-password" required="" id="id_new_password1"><br>
        <small class="text-muted"><ul><li>Your password can’t be too similar to your other personal information.</li><li>Your password must contain at least 8 characters.</li><li>Your password can’t be a commonly used password.</li><li>Your password can’t be entirely numeric.</li></ul></small>
      </div>
    </div>
    <div class="form-group row">

      <label for="id_new_password2" class="col-5 col-form-label">New password confirmation:</label>
      <div class="col-7">
        <input type="password" class="form-control" name="new_password2" autocomplete="new-password" required="" id="id_new_password2">
      </div>
    </div>
    <input type="submit" value="Change my password" class="btn btn-success btn-block">
  </form>

  {% else %}

  <div class="alert alert-danger" role="alert">The password reset link was invalid, possibly because it has already been used.  Please request a new password reset.</div>
</div>
{% endif %}
{% endblock %}
